Jump to content

New blockedit option (AutoCAD 2017)


halam

Recommended Posts

Hi guys,

 

 

Quick question for smart people..

 

 

I noticed AutoCAD 2017 has a new feature in the blockediting function i use. Now it defaults on 'multiple mode'. Is this a setvar one can 'force' in lisp to set to 'single'? I use a oevrall lisp thats let you edit everything, at least text mtext, attdef and dims.

 

 

 

 

2016:

Command: TEXTEDIT

Select an annotation object:

 

 

2017:

Command: TEXTEDIT

Current settings: Edit mode = Single

Select an annotation object or [Mode]: m

Enter a text edit mode option [single/Multiple] :

 

 

(default is multiple)

once set to single my lisp works again.

 

 



(defun c:ed (/ SS CNT NUM SENT ANS oldsnp ent els tx1 sta )
; (TEXTSCR) (graphscr)
 (command "undo" "group")
 (setq oldsnp (getvar "snapmode"))
 (setvar "snapmode" 0)
 (prompt "\n  Multi-Edit  ")
 (if (>= (getvar "acadver") "13")
   (setq SS (ssget '((-4 . "<or")
       (0 . "RTEXT")
                     (0 . "ATTDEF")
                     (0 . "DIMENSION")
                     (0 . "MTEXT")
                     (0 . "TEXT")
       (0 . "MULTILEADER")
                     (0 . "TOLERANCE")
                     (-4 . "<and")
                     (0 . "INSERT")
                     (66 . 1)
                     (-4 . "and>")
                     (-4 . "or>")
                    )
            )
   )
   (setq SS (ssget '((-4 . "<or")
                     (0 . "ATTDEF")
                     (0 . "TEXT")
                     (-4 . "<and")
                     (0 . "INSERT")
                     (66 . 1)
                     (-4 . "and>")
                     (-4 . "or>")
                    )
            )
   )
 )
 (if SS
   (progn
     (setq NUM (sslength SS)
           CNT 0
     )
     (while (< CNT NUM)
       (princ (strcat "\r Edit : "
                      (rtos (1+ CNT) 2 0)
                      " of "
                      (rtos NUM 2 0)
                      ": "
              )
       )
       (setq SENT (ssname SS CNT))
       (setq ANS (cdr (assoc 0 (entget SENT))))
       (cond
         ((or (eq ANS "ATTDEF")
              (eq ANS "TEXT")
              (eq ANS "TOLERANCE")
              (eq ANS "MULTILEADER")
          )
          (command "textedit" SENT \)
         )

  ((or (eq ANS "MTEXT")
          )
          (command "mtedit" SENT \)
         )
  ((or (eq ANS "rtext")
          )
          (command "rtedit" SENT \ pause)
         )
  
  ((or (eq ANS "DIMENSION")
          )
          (command "textedit" SENT \)   ;**** HERE IT SHOULD BE IN SINGLE VAR ***
         )
   
    
;;;;;;;;;; fundtion for dte - not available

   
         ((eq ANS "INSERT")
         ; (command "DDatte" SENT \)
(sssetfirst nil (ssadd sent))
(command "ddatte") ; ddatte2 doet het even niet...
   )
  ((eq ANS "RTEXT") (c:RTEDIT))
         )
       (entupd SENT)
       (setq CNT (1+ CNT))
     )
     (princ "  Done... ")
   )
   (princ "  Nothing selected. ")
 )
 (setvar "snapmode" oldsnp)
 (command "undo" "end")
 (princ)
)


Link to comment
Share on other sites

You can return the is it 13 14 15 16 17 etc so could patch your program to check, bit like TEXT ht set or is it zero, has two answers.

 

(setq vrsn (vlax-product-key))
(cond
        ((vl-string-search "R17.2" vrsn) (setq appstr "6.0")) ;09
        ((vl-string-search "R18.0" vrsn) (setq appstr "7.0")) ;10
        ((vl-string-search "R18.1" vrsn) (setq appstr "8.0")) ;11
        ((vl-string-search "R18.2" vrsn) (setq appstr "9.0")) ;12 ?
        ((vl-string-search "R19.0" vrsn) (setq appstr "10.0")) ;13 
        ((vl-string-search "R19.1" vrsn)(setq appstr "10.3"));;2014
        ((vl-string-search "R20.0" vrsn)(setq appstr "10.4"));;2015
        ((vl-string-search "R20.1" vrsn)(setq appstr "10.5"));;2016     
        ((vl-string-search "R21.0" vrsn)(setq appstr "11.0"));;2017   
((alert "This version of C3D not supported!"))

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...